# Get an overview of a project. GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/overview This endpoint returns an overview of the specified projects stats, project health, number of members, which environments are configured, and the features types in the project. Reference: https://docs.getunleash.io/api/get-project-overview ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get an overview of a project. version: endpoint_projects.getProjectOverview paths: /api/admin/projects/{projectId}/overview: get: operationId: get-project-overview summary: Get an overview of a project. description: >- This endpoint returns an overview of the specified projects stats, project health, number of members, which environments are configured, and the features types in the project. tags: - - subpackage_projects parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: projectOverviewSchema content: application/json: schema: $ref: '#/components/schemas/projectOverviewSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: projectStatsSchema: type: object properties: avgTimeToProdCurrentWindow: type: number format: double description: >- The average time from when a feature was created to when it was enabled in the "production" environment during the current window createdCurrentWindow: type: number format: double description: The number of feature flags created during the current window createdPastWindow: type: number format: double description: The number of feature flags created during the previous window archivedCurrentWindow: type: number format: double description: >- The number of feature flags that were archived during the current window archivedPastWindow: type: number format: double description: >- The number of feature flags that were archived during the previous window projectActivityCurrentWindow: type: number format: double description: The number of project events that occurred during the current window projectActivityPastWindow: type: number format: double description: >- The number of project events that occurred during the previous window projectMembersAddedCurrentWindow: type: number format: double description: >- The number of members that were added to the project during the current window required: - avgTimeToProdCurrentWindow - createdCurrentWindow - createdPastWindow - archivedCurrentWindow - archivedPastWindow - projectActivityCurrentWindow - projectActivityPastWindow - projectMembersAddedCurrentWindow ProjectOverviewSchemaMode: type: string enum: - value: open - value: protected - value: private createFeatureNamingPatternSchema: type: object properties: pattern: type: - string - 'null' description: >- A JavaScript regular expression pattern, without the start and end delimiters. Optional flags are not allowed. example: type: - string - 'null' description: >- An example of a feature name that matches the pattern. Must itself match the pattern supplied. description: type: - string - 'null' description: >- A description of the pattern in a human-readable format. Will be shown to users when they create a new feature flag. required: - pattern projectLinkTemplateSchema: type: object properties: title: type: - string - 'null' description: The title of the link. urlTemplate: type: string description: >- The URL to use as a template. Can contain {{project}} or {{feature}} as placeholders. required: - urlTemplate ConstraintSchemaOperator: type: string enum: - value: NOT_IN - value: IN - value: STR_ENDS_WITH - value: STR_STARTS_WITH - value: STR_CONTAINS - value: NUM_EQ - value: NUM_GT - value: NUM_GTE - value: NUM_LT - value: NUM_LTE - value: DATE_AFTER - value: DATE_BEFORE - value: SEMVER_EQ - value: SEMVER_GT - value: SEMVER_LT constraintSchema: type: object properties: contextName: type: string description: The name of the context field that this constraint should apply to. operator: $ref: '#/components/schemas/ConstraintSchemaOperator' description: >- The operator to use when evaluating this constraint. For more information about the various operators, refer to [the strategy constraint operator documentation](https://docs.getunleash.io/concepts/activation-strategies#constraint-operators). caseInsensitive: type: boolean default: false description: >- Whether the operator should be case sensitive or not. Defaults to `false` (being case sensitive). inverted: type: boolean default: false description: >- Whether the result should be negated or not. If `true`, will turn a `true` result into a `false` result and vice versa. values: type: array items: type: string description: >- The context values that should be used for constraint evaluation. Use this property instead of `value` for properties that accept multiple values. value: type: string description: >- The context value that should be used for constraint evaluation. Use this property instead of `values` for properties that only accept single values. required: - contextName - operator CreateStrategyVariantSchemaWeightType: type: string enum: - value: variable - value: fix CreateStrategyVariantSchemaPayloadType: type: string enum: - value: json - value: csv - value: string - value: number CreateStrategyVariantSchemaPayload: type: object properties: type: $ref: '#/components/schemas/CreateStrategyVariantSchemaPayloadType' description: >- The type of the value. Commonly used types are string, number, json and csv. value: type: string description: The actual value of payload required: - type - value createStrategyVariantSchema: type: object properties: name: type: string description: The variant name. Must be unique for this feature flag weight: type: integer description: >- The weight is the likelihood of any one user getting this variant. It is an integer between 0 and 1000. See the section on [variant weights](https://docs.getunleash.io/concepts/feature-flag-variants#variant-weight) for more information weightType: $ref: '#/components/schemas/CreateStrategyVariantSchemaWeightType' description: >- Set to `fix` if this variant must have exactly the weight allocated to it. If the type is `variable`, the weight will adjust so that the total weight of all variants adds up to 1000. Refer to the [variant weight documentation](https://docs.getunleash.io/concepts/feature-flag-variants#variant-weight). stickiness: type: string description: >- The [stickiness](https://docs.getunleash.io/concepts/feature-flag-variants#variant-stickiness) to use for distribution of this variant. Stickiness is how Unleash guarantees that the same user gets the same variant every time payload: $ref: '#/components/schemas/CreateStrategyVariantSchemaPayload' description: Extra data configured for this variant required: - name - weight - weightType - stickiness parametersSchema: type: object additionalProperties: type: string createFeatureStrategySchema: type: object properties: name: type: string description: The name of the strategy type title: type: - string - 'null' description: A descriptive title for the strategy disabled: type: - boolean - 'null' description: >- A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs sortOrder: type: number format: double description: The order of the strategy in the list constraints: type: array items: $ref: '#/components/schemas/constraintSchema' description: >- A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints variants: type: array items: $ref: '#/components/schemas/createStrategyVariantSchema' description: Strategy level variants parameters: $ref: '#/components/schemas/parametersSchema' description: An object containing the parameters for the strategy segments: type: array items: type: number format: double description: Ids of segments to use for this strategy required: - name projectEnvironmentSchema: type: object properties: environment: type: string description: The environment to add to the project changeRequestsEnabled: type: boolean description: >- Whether change requests should be enabled or for this environment on the project or not defaultStrategy: $ref: '#/components/schemas/createFeatureStrategySchema' description: A default strategy to create for this environment on the project. required: - environment featureTypeCountSchema: type: object properties: type: type: string description: >- Type of the flag e.g. experiment, kill-switch, release, operational, permission count: type: number format: double description: Number of feature flags of this type required: - type - count ProjectOverviewSchemaOnboardingStatusOneOf0Status: type: string enum: - value: onboarding-started - value: onboarded ProjectOverviewSchemaOnboardingStatus0: type: object properties: status: $ref: >- #/components/schemas/ProjectOverviewSchemaOnboardingStatusOneOf0Status required: - status ProjectOverviewSchemaOnboardingStatusOneOf1Status: type: string enum: - value: first-flag-created ProjectOverviewSchemaOnboardingStatus1: type: object properties: status: $ref: >- #/components/schemas/ProjectOverviewSchemaOnboardingStatusOneOf1Status feature: type: string description: The name of the feature flag required: - status - feature ProjectOverviewSchemaOnboardingStatus: oneOf: - $ref: '#/components/schemas/ProjectOverviewSchemaOnboardingStatus0' - $ref: '#/components/schemas/ProjectOverviewSchemaOnboardingStatus1' projectOverviewSchema: type: object properties: stats: $ref: '#/components/schemas/projectStatsSchema' description: Project statistics version: type: integer description: The schema version used to describe the project overview name: type: string description: The name of this project description: type: - string - 'null' description: Additional information about the project defaultStickiness: type: string description: >- A default stickiness for the project affecting the default stickiness value for variants and Gradual Rollout strategy mode: $ref: '#/components/schemas/ProjectOverviewSchemaMode' description: >- The project's [collaboration mode](https://docs.getunleash.io/concepts/project-collaboration-mode). Determines whether non-project members can submit change requests or not. featureLimit: type: - number - 'null' format: double description: >- A limit on the number of features allowed in the project. Null if no limit. featureNaming: $ref: '#/components/schemas/createFeatureNamingPatternSchema' linkTemplates: type: array items: $ref: '#/components/schemas/projectLinkTemplateSchema' description: >- A list of templates for links that will be automatically added to new feature flags. members: type: number format: double description: The number of members this project has health: type: number format: double description: Use `technicalDebt` instead. technicalDebt: type: number format: double description: >- An indicator of the [project's technical debt](https://docs.getunleash.io/concepts/technical-debt#project-status) on a scale from 0 to 100 environments: type: array items: $ref: '#/components/schemas/projectEnvironmentSchema' description: The environments that are enabled for this project featureTypeCounts: type: array items: $ref: '#/components/schemas/featureTypeCountSchema' description: The number of features of each type that are in this project updatedAt: type: - string - 'null' format: date-time description: When the project was last updated. archivedAt: type: - string - 'null' format: date-time description: When the project was archived. createdAt: type: - string - 'null' format: date-time description: When the project was created. favorite: type: boolean description: '`true` if the project was favorited, otherwise `false`.' onboardingStatus: $ref: '#/components/schemas/ProjectOverviewSchemaOnboardingStatus' description: The current onboarding status of the project. required: - version - name - onboardingStatus ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/overview" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/overview'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/overview" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/overview") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/overview") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/overview', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/overview"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/overview")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```